% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/deprecated.R
\name{get_coor}
\alias{get_coor}
\title{Interface to query Consulta_CPMRC}
\usage{
get_coor(RC, SRS = "Google", Province = "", Municipality = "")
}
\arguments{
\item{RC}{Cadastral reference of the state.}

\item{SRS}{The Spatial Reference System desired for the coordinates, if it
is missed, the returned coordinates will be given in the Spatial Reference
System used by Googlemaps ('EPSG:4326'). The set of the available SRS to
use are available in the vector \code{coordinates} from this package. Apart
from that, the function accept as a SRS argument the values "Google" and
"Oficial". The first uses the SRS value used by Google maps ('EPSG:4326')
while the latter uses the official SRS ('EPSG:4258') in Europe. If no SRS
is given, the function by default choose the "Google" SRS.}

\item{Province}{A string with the Province of the state. It is not case
sensitive.}

\item{Municipality}{A string with the Municipality of the state. It is not
case sensitive.}
}
\value{
A list consisting on two numeric values: the coordinates (latitude,
longitude) and the reference system in which they are expressed.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}

\strong{This function was deprecated to adapt it to the new interface. Use}
\code{\link[=catr_ovc_get_cpmrc]{catr_ovc_get_cpmrc()}} instead.
}
\references{
http://ovc.catastro.meh.es/ovcservweb/OVCSWLocalizacionRC/OVCCoordenadas.asmx?op=Consulta_CPMRC
}
\seealso{
Other deprecated functions: 
\code{\link{get_rc}()},
\code{\link{near_rc}()}
}
\author{
Angel Delgado Panadero.
}
\concept{deprecated functions}
\keyword{internal}
